PHP 7.3 reached end of support in December 2021 and Adobe Commerce 2.3.x reaches end of support in September 2022. You may want to consider planning your upgrade now to Adobe Commerce 2.4.x and PHP 7.4.x to help maintain PCI compliance.

Upgrade modules

To update or upgrade a module or extension:

  1. Download the updated file from Marketplace or another extension developer. Take note of the module-name and version.

  2. Export the contents to your Magento root.

  3. If a Composer package exists for the module, run one of the following.

    Update per module name:

    1
    
    composer update vendor/module-name
    

    Update per version:

    1
    
    composer require vendor/module-name ^x.x.x
    
  4. Run the following commands to upgrade, deploy, and clean the cache.

    1
    2
    3
    
    bin/magento setup:upgrade --keep-generated
    bin/magento setup:static-content:deploy
    bin/magento cache:clean
    

Vendor bundled extensions (VBEs)

Adobe removed all VBEs in 2.4.4. Vendors continue to support these extensions on the Adobe Commerce Marketplace.

If you want to continue using these extensions with Adobe Commerce and Magento Open Source 2.4.4 and later, you must update the corresponding package dependencies in your composer.json file before upgrading to 2.4.4. Contact the vendor for the package name and version to use.